The Synthesis ToolKit in C++ (STK)

Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Types | Public Member Functions | List of all members
RtMidiError Class Reference

Exception handling class for RtMidi. More...

`#include <RtMidi.h>`

Inheritance diagram for RtMidiError:

## Public Types
enum | Type { WARNING, DEBUG_WARNING, UNSPECIFIED, NO_DEVICES_FOUND, INVALID_DEVICE, MEMORY_ERROR, INVALID_PARAMETER, INVALID_USE, DRIVER_ERROR, SYSTEM_ERROR, THREAD_ERROR }
| Defined RtMidiError types. More...

## Public Member Functions
| RtMidiError (const std::string &message, Type type=RtMidiError::UNSPECIFIED) throw ()
| The constructor.
virtual | ~RtMidiError (void) throw ()
| The destructor.
virtual void | printMessage (void) const throw ()
| Prints thrown error message to stderr.
virtual const Type & | getType (void) const throw ()
| Returns the thrown error message type.
virtual const std::string & | getMessage (void) const throw ()
| Returns the thrown error message string.
virtual const char * | what (void) const throw ()
| Returns the thrown error message as a c-style string.

## Detailed Description

Exception handling class for RtMidi.

The RtMidiError class is quite simple but it does allow errors to be "caught" by RtMidiError::Type. See the RtMidi documentation to know which methods can throw an RtMidiError.

## Member Enumeration Documentation

## ◆ Type

enum RtMidiError::Type

Defined RtMidiError types.

Enumerator
WARNING | A non-critical error.
DEBUG_WARNING | A non-critical error which might be useful for debugging.
UNSPECIFIED | The default, unspecified error type.
NO_DEVICES_FOUND | No devices found on system.
INVALID_DEVICE | An invalid device ID was specified.
MEMORY_ERROR | An error occured during memory allocation.
INVALID_PARAMETER | An invalid parameter was specified to a function.
INVALID_USE | The function was called incorrectly.
DRIVER_ERROR | A system driver error occured.
SYSTEM_ERROR | A system error occured.
THREAD_ERROR | A thread error occured.

82 {
83 WARNING,
84 DEBUG_WARNING,
85 UNSPECIFIED,
86 NO_DEVICES_FOUND,
87 INVALID_DEVICE,
88 MEMORY_ERROR,
89 INVALID_PARAMETER,
90 INVALID_USE,
91 DRIVER_ERROR,
92 SYSTEM_ERROR,
93 THREAD_ERROR
94 };

The documentation for this class was generated from the following file:

- RtMidi.h

RtMidiError::THREAD_ERROR
@ THREAD_ERROR
Definition: RtMidi.h:93
RtMidiError::DRIVER_ERROR
@ DRIVER_ERROR
Definition: RtMidi.h:91
RtMidiError::SYSTEM_ERROR
@ SYSTEM_ERROR
Definition: RtMidi.h:92
RtMidiError::INVALID_USE
@ INVALID_USE
Definition: RtMidi.h:90
RtMidiError::DEBUG_WARNING
@ DEBUG_WARNING
Definition: RtMidi.h:84
RtMidiError::INVALID_DEVICE
@ INVALID_DEVICE
Definition: RtMidi.h:87
RtMidiError::WARNING
@ WARNING
Definition: RtMidi.h:83
RtMidiError::INVALID_PARAMETER
@ INVALID_PARAMETER
Definition: RtMidi.h:89
RtMidiError::NO_DEVICES_FOUND
@ NO_DEVICES_FOUND
Definition: RtMidi.h:86
RtMidiError::MEMORY_ERROR
@ MEMORY_ERROR
Definition: RtMidi.h:88
RtMidiError::UNSPECIFIED
@ UNSPECIFIED
Definition: RtMidi.h:85

The Synthesis ToolKit in C++ (STK)
©1995--2019 Perry R. Cook and Gary P. Scavone. All Rights Reserved.